#!/bin/bash

. ENV

. service_common.sh

MYNAME=consul-$NAME
MYIP=$ME
API=$MYIP:8500

SERVICE=MQTT
SERVICE_DEF=service_mqtt.json

function start_mqtt () {
    echo "start MQTT"
    pushd $MYSERVER_ROOT/Services/IoT/MQTTBroker
    emq-relx/_rel/emqx/bin/emqx start
    popd
}

SVC_STATUS=`get_service_status $API $SERVICE`
echo $SVC_STATUS

if [ "$SVC_STATUS" = "passing" ] ; then
    echo "Service is Running."
    exit 0
elif  [ "$SVC_STATUS" != "critical" ] ; then
    echo "NO Service."
    exit 0
fi

SVC_NODE=`get_service_node $API $SERVICE`
echo $SVC_NODE

if [ "$SVC_NODE" = "$MYNAME" ] ; then
    # サービスを起動
    echo "Start My Service"
    start_mqtt
    sleep 11
    exit 0
fi


NODE_STATUS=`get_node_status $API $SVC_NODE`
echo $NODE_STATUS

if [ "$NODE_STATUS" = "passing" ] ; then
    echo "Can't Start My node"
    exit 0
fi

# 元のサービス情報を削除
deregister_service ${SVC_NODE}.node.consul:8500 ${SERVICE}-id

# サービスの動作ノードを自身としてサービスの登録情報をアップデート
register_service $API $SERVICE_DEF

# サービス起動
start_mqtt

# サービスの状態更新を待って終了する
sleep 11

exit 0